import { Store } from 'nedux';
declare type DefaultState = {
    [key: string]: any;
};
export declare const createStoreHook: <T extends DefaultState, K extends keyof T = keyof T>(store: Store<T, K>) => <U extends K>(key: U) => [T[U], (newValue: T[U]) => void];
export {};
